#ifndef WIDGET_H
#define WIDGET_H

#include <QtWidgets>

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

protected:
    virtual void paintEvent( QPaintEvent* p_event );
    virtual void mousePressEvent( QMouseEvent* p_event );
    virtual void mouseMoveEvent( QMouseEvent* p_event );
    virtual void mouseReleaseEvent( QMouseEvent* p_event );

protected:
    QPoint m_dragPosFromWidget;
    bool m_tracking;
};

#endif // WIDGET_H
